#!/usr/bin/env python
# -*- coding: utf-8 -*-
from builtins import object
import time
from pynamodb.attributes import NumberAttribute,\
    JSONAttribute, UnicodeAttribute

from db_paribhasha import PynamoBaseModel, credentials


class MetadataDynamoDB(PynamoBaseModel):
    #TODO: Added functionalities for cli
    """
    Metadata Dynamo DB model for Pre Login data.
    Model is created using pynamoDB library.
    """
    class Meta(object):
        table_name = credentials.DYNAMO_METADATA_TABLE
        region = credentials.DYNAMO_REGION

    page_url = UnicodeAttribute(hash_key=True)
    created_time = NumberAttribute(null=False,
        default=int(round(time.time() * 1000)))
    modified_time = NumberAttribute(null=False,
        default=int(round(time.time() * 1000)))
    data = JSONAttribute(null=False)
